\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{mastersproject}[Based on 1999/07/02 NSF proposal style v0.1 SGLS]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[11pt,letterpaper]{article}
%\RequirePackage{calc}
%\RequirePackage{epsfig}

%\def\@biblabel#1{} % Suppress labels in bibliography

\addtolength{\voffset}{-1in}
\addtolength{\hoffset}{-1in}
\setlength{\footskip}{36pt}
\setlength{\marginparsep}{0.5cm}
\setlength{\marginparwidth}{1.5cm}
\setlength{\headheight}{0pt}
\setlength{\headsep}{0pt}

\setlength {\topmargin}{1in}
\setlength {\textheight}{8.5in}
\setlength {\oddsidemargin}{1in}
\setlength {\evensidemargin}{1in}

\setlength {\textwidth}{6.5in}

\RequirePackage{fancyhdr}
\pagestyle{plain}
\lhead{}
\chead{}
\rhead{}
\lfoot{}
\cfoot{\thepage}
\rfoot{}

% Old... Gave warnings about vbox's being overfull
%\RequirePackage{fancyheadings}
%\pagestyle{fancyplain}
%\setlength{\headrulewidth}{0pt}
%\lhead{}
%\chead{}
%\rhead{}
%\lfoot{}
%\cfoot{\thepage}
%\rfoot{}

\def\@makefnmark{\hbox{$^{\fnsymbol{\@mpfn}}\m@th$}}

\RequirePackage{times}
\RequirePackage{mathptm}
\RequirePackage{natbib}
%\def\degrees{\char23}
%\def\times{{\fontencoding{U}\fontfamily{psy}\selectfont\char180}}
\def\S{{\fontencoding{T1}\selectfont\char159}}
\DeclareSymbolFont{psymbols}{U}{psy}{m}{n}
%\let\times\relax
\DeclareMathSymbol{\times}{\mathbin}{psymbols}{180}

\DeclareMathSymbol{\prime}{\mathord}{operators}{"13}
%\makeatletter
{\catcode`\'=\active \gdef'{\bgroup\prim@s}}
%\makeatother
